/*------------ album ------------*/

.album-list {
    margin: 0px -7px ;
}

.album-list li {
    width: calc((100% / 3) - 0.1px);
    padding: 0 7px 15px;
}

.album-list li:nth-child(3n+1) {
    clear: left;
}

.album-list li .pic {
    overflow: hidden;
    position: relative;
    max-width: 390px;
    margin: 0 auto;
}

.album-list li .pic:before,
.album-list li .pic:after {
    content: "";
    position: absolute;
    transition: all .2s;
    opacity: 0;
}


/*
.album-list li .pic:after {
    content: "";
    width: 72px;
    height: 1px;
    background: #fff;
    display: block;
    position: absolute;
    left: 50%;
    margin: 0 0 0 -36px;
    top: 55%;
}*/

.album-list a:hover .pic:before,
.album-list a:hover .pic:after {
    transition: all .2s;
    opacity: 0;
}
.album-list li .pic:before {
    content: "";
    position: absolute;
    transition: all .2s;
    opacity: 0;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    
    background: linear-gradient(to bottom, #00286F,#31ECF0);
    transition: all .3s ease;
}
.album-list.active li .pic:before {
    opacity: 0.76;
}

.album-list.active a:hover .cover,
.album-list.active a:hover .pic:before {
    opacity: 0;
}
.album-list li .name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    position: absolute;
    left: 20%;
    top: 80%;
    margin: -13px 0 0 0;
    
    /*padding: 0 40px;*/
    font-size: 17px;
    line-height: 1.2;
    width:245px;
    height: 65px;
    line-height:65px;
    color: #000;
    background:#fff;
    background: url('../../images/common/album_ic.png') 10% 45% no-repeat #fff;
    text-align: left;
    transition: all .2s;
    padding:0 0 0 60px;
    opacity: 0;
    box-sizing: border-box;
}

.album-list a:hover .name {
    transition: all .2s;
    opacity: 1;
}


/*------------ rwd ------------*/

@media screen and (max-width:1100px) {

    .album-list li .pic:before{
        /* opacity: 1; */
    }

    .album-list li .pic:after {
        display: none;
    }

    .album-list li .name {
        /* opacity: 1; */
        /* top: auto; */
        /* bottom: 3px; */
        /* padding: 0 10px; */
    }
    .album-list li .pic:before {
        /* left: 0px; */
        /* right: 0px; */
        /* bottom: 0px; */
        /* top: auto; */
        /* height: 40px; */
        /* background: rgba(0, 0, 0, 0.70); */
        /* border:none; */
    }
}

@media screen and (max-width:600px) {
    .album-list li {
        width: 50%;
    }
    .album-list li:nth-child(3n+1) {
        clear: none;
    }
    .album-list li:nth-child(2n+1) {
        clear: left;
    }
}

@media screen and (max-width:450px) {
    .album-list li {
        width: 100%;
    }
    .album-list li:nth-child(2n+1) {
        clear: none;
    }
    .album-list li:nth-child(n+1) {
        clear: left;
    }
}
